Subject: bug#72003: 29.3; Drag and drop in Emacs 29 on macOS

From: Alan Third <[email-masked]>
Date: Fri, 12 Jul 2024 10:14:21 +0100

On Fri, Jul 12, 2024 at 10:35:04AM +0200, Robert Pluim wrote:
> >>>>> On Thu, 11 Jul 2024 14:42:21 -0400, Giah De Barag <[email-masked]> said:
> 
>     Giah> Thank you for that suggestion. However, there is no error message. It
>     Giah> just silently does not work. Search for the string "NOTHING HAPPENS"
>     Giah> in my bug report. Also note that rolling back to Emacs 28 or going to
>     Giah> a more recent macOS makes drag and drop work.
> 
> Ah, so this is Appleʼs fault 😉

As always. ;)

>     Giah> macOS 12 | Emacs 28 | works
>     Giah> macOS 12 | Emacs 29 | does not work
>     Giah> macOS 14 | Emacs 28 | works
>     Giah> macOS 14 | Emacs 29 | works
> 
> I donʼt have a macOS 12 machine, so I canʼt test. Alan, would you have
> any ideas?

My Mac is still running 10.14 or something equally ancient, so I doubt
I'll be much help in diagnosing this, but it smells a little to me of
an incorrect #if statement somewhere.

-- 
Alan Third